Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039367
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2018-09-27 17:482018-12-11 20:22
ReporteranderarangurenView Statuspublic 
Assigned Tomarkmm82 
PriorityurgentResolutionfixedFixed in Version3.0PR19Q1
StatusclosedFix in branchFixed in SCM revisiona4607c9c130c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039367: Product name is cut when exporting to excel in Trial Balance

DescriptionProduct name is cut when exporting to excel in Trial Balance
Steps To ReproduceLogin in the Backend
Go to Product window and change the name of 'Cerveza Ale 0,5L' for 'Cerveza Ale 0,5L length test for the product name'
Go to 'Trial Balance' window
Select fields:
 From 02-10-2018
 To 02-10-2018
 Organization F&B EspaƱa, S.A.
 Product Cerveza Ale 0,5L length test for the product name
Press the 'Export to Excel' button
See that the product name is cut
TagsNo tags attached.
Attached Filespng file icon productName.png [^] (132,940 bytes) 2018-10-03 09:20

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0107146)
markmm82 (developer)
2018-10-03 19:11

Test Plan:
  Modify the following items to reach the maximum character length in the UI:
    Account Name = "Proveedores (euros) a corto plazo" to for example:
    "Proveedores (euros) a corto plazo1234567891234567891234567899888888555555222222666666622222222222222222222222222222222222222"
    Business Partner Name = "La Fruta es la Vida, S.L." to "La Fruta es la Vida, S.L.12345678912345678912345678912345678"
    Product Name = "Cerveza Ale 0,5L" to "Cerveza Ale 0,5L 1234567890123456789012345678901234567890123"

  Run the Trial Balance report in EXCEL format for dates between "03/10/2017" and "03/10/2018" for example.
  Notice in the generated excel that those lines related to the modified names have been stretched and the row is adapted to the cell with greater height.
(0107188)
hgbot (developer)
2018-10-05 14:40

Repository: erp/devel/pi
Changeset: a4607c9c130c683626203f2e0b5c3b494b2231a4
Author: Mark <markmm82 <at> gmail.com>
Date: Wed Oct 03 12:58:44 2018 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/a4607c9c130c683626203f2e0b5c3b494b2231a4 [^]

Fixes issue 39367:Set some columns to be stretched with overflow to avoid be cut

Some columns where cells can show long text are set as stretch with overflow and
with stretch type = "RelativeToTallestObject" to align and stretch correctly

---
M src/org/openbravo/erpCommon/ad_reports/ReportTrialBalanceExcel.jrxml
---
(0107189)
Sandrahuguet (developer)
2018-10-05 14:41

Code review + testing OK
(0108421)
hudsonbot (developer)
2018-12-11 20:22

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/470e3cd384c5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-09-27 17:48 anderaranguren New Issue
2018-09-27 17:48 anderaranguren Assigned To => Triage Finance
2018-09-27 17:48 anderaranguren Modules => Core
2018-09-27 17:48 anderaranguren Triggers an Emergency Pack => No
2018-09-27 17:56 Sandrahuguet Assigned To Triage Finance => markmm82
2018-10-03 01:55 markmm82 Status new => scheduled
2018-10-03 08:53 anderaranguren Summary Product name is cut when exporting to excel in Trial Balance => Account name is cut when exporting to excel in Trial Balance
2018-10-03 08:53 anderaranguren Description Updated View Revisions
2018-10-03 08:53 anderaranguren Steps to Reproduce Updated View Revisions
2018-10-03 08:53 anderaranguren File Added: BackEnd.png
2018-10-03 08:53 anderaranguren File Added: libreOffice.png
2018-10-03 09:20 anderaranguren Summary Account name is cut when exporting to excel in Trial Balance => Product name is cut when exporting to excel in Trial Balance
2018-10-03 09:20 anderaranguren Description Updated View Revisions
2018-10-03 09:20 anderaranguren Steps to Reproduce Updated View Revisions
2018-10-03 09:20 anderaranguren File Deleted: BackEnd.png
2018-10-03 09:20 anderaranguren File Deleted: libreOffice.png
2018-10-03 09:20 anderaranguren File Added: productName.png
2018-10-03 19:11 markmm82 Note Added: 0107146
2018-10-05 14:40 hgbot Checkin
2018-10-05 14:40 hgbot Note Added: 0107188
2018-10-05 14:40 hgbot Status scheduled => resolved
2018-10-05 14:40 hgbot Resolution open => fixed
2018-10-05 14:40 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/a4607c9c130c683626203f2e0b5c3b494b2231a4 [^]
2018-10-05 14:41 Sandrahuguet Review Assigned To => Sandrahuguet
2018-10-05 14:41 Sandrahuguet Note Added: 0107189
2018-10-05 14:41 Sandrahuguet Status resolved => closed
2018-10-05 14:41 Sandrahuguet Fixed in Version => 3.0PR19Q1
2018-12-11 20:22 hudsonbot Checkin
2018-12-11 20:22 hudsonbot Note Added: 0108421


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker